Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowJuly 7 - July 17 | Round 2 of the Power BI Dataviz World Championships. Don't miss your chance! Learn more
Can we create Custom Column and Parameter through API and push it into power bi Workspace??
I am Pushing Data through API by creating Tables and Measures, I Also need to create custom Column and Parameter in this API? can sombody pls help??
API :
POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets
Hi @Uday3th1rr,
Yes, you can create custom columns and parameters in Power BI through its API. Here are the steps to follow:
Create a dataset using the API endpoint you mentioned, i.e., POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets.
Once the dataset is created, you can create a table in it using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/tables API endpoint.
After creating a table, you can add a custom column to it using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/tables/{tableId}/columns API endpoint. Provide the column name, formula, data type, and any other relevant information in the request body.
Similarly, you can create a parameter using the POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/datasets/{datasetId}/parameters API endpoint. Provide the parameter name, data type, and default value in the request body.
Finally, push the data into the dataset by creating measures or adding rows to the table.
Note that you need to have the necessary permissions and authentication to create custom columns and parameters in Power BI through its API.
Best regards,
Isaac Chavarria
If this post helps, then please consider Accepting it as the solution and giving Kudos to help the other members find it more quickly
Join us in Barcelona for FabCon and SQLCon, the Fabric, Power BI, SQL, and AI community event. Save €200 with code FABCMTY200.
Join Fabric Data Days 2026: 60 days of free live/on-demand sessions, challenges, study groups, and certification opportunities.